Page MenuHomeFreeBSD

Add Linux/macOS compatibility system headers to tools/build/cross-build
ClosedPublic

Authored by arichardson on Feb 11 2018, 12:07 PM.

Details

Summary

These headers are required in order to build the bootstrap tools on macOS
and Linux. A follow-up commit will add implementations of functions that
don't exist on those operating systems to -legacy when bootstrapping.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rebased, should be ready for review now

arichardson retitled this revision from WIP: Add Linux/MacOS compatibility system headers to tools/build/cross-build to Add Linux/macOS compatibility system headers to tools/build/cross-build.Aug 6 2020, 6:42 PM
arichardson edited the summary of this revision. (Show Details)

A few whitespace and comment formatting nits (not every instance marked), but generally looks fine.

tools/build/cross-build/include/common/machine/atomic.h
45 ↗(On Diff #75514)

probably remove this line

tools/build/cross-build/include/linux/stdlib.h
61 ↗(On Diff #75514)

I'd tend to pick one indent level for all the functions.

tools/build/cross-build/include/linux/sys/param.h
43 ↗(On Diff #75514)

/* on separate line

tools/build/cross-build/include/linux/sys/stat.h
40 ↗(On Diff #75514)

Too many *s

44 ↗(On Diff #75514)

Probably use C-style comment.

tools/build/cross-build/include/mac/stdlib.h
44 ↗(On Diff #75514)

should pick one indentation style.

This revision is now accepted and ready to land.Aug 6 2020, 7:44 PM
tools/build/cross-build/include/common/machine/atomic.h
45 ↗(On Diff #75514)

In fact I think this header is no longer needed. Will see if I can remove it.

arichardson marked 6 inline comments as done.
arichardson edited the summary of this revision. (Show Details)
  • fix C++ style commments
  • Use clang-format to get consistent style
This revision now requires review to proceed.Aug 6 2020, 8:38 PM
brooks added inline comments.
tools/build/cross-build/include/common/pwd.h
56 ↗(On Diff #75522)

Normally return (1);

This revision is now accepted and ready to land.Aug 10 2020, 5:14 PM
  • Add $FreeBSD$ and missing parens around return statements
This revision now requires review to proceed.Aug 11 2020, 2:21 PM
This revision is now accepted and ready to land.Aug 11 2020, 8:42 PM